/* Roulette
   Cette application va vous permettre de réaliser une roulette (type casino)
   qui s'élancera sur sollicitation d'un bouton-poussoir avant de ralentir
   et de s'arréter aléatoirement sur une led. 
   
   CE PROGRAMME EST FOURNI «TEL QUEL», SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU
   IMPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER LES GARANTIES DE QUALITÉ MARCHANDE,
   D'ADAPTATION À UN USAGE PARTICULIER ET D'ABSENCE DE CONTREFAÇON. EN AUCUN CAS, LA
   RESPONSABILITE DES AUTEURS OU DES DÉTENTEURS DE DROITS D'AUTEUR NE SERONT TENUS 
   RESPONSABLES DE TOUTE RECLAMATION, DOMMAGE OU AUTRE RESPONSABILITÉ, QUE CE SOIT
   DANS UNE ACTION DE CONTRAT, TORT OU AUTREMENT, PROVENANT DE, OU EN RELATION AVEC
   CE PROGRAMME OU L'UTILISATION OU AUTRES TRAITEMENTS DU PROGRAMME.
      
*/

int Temporisation;                           // Variable gérant la vitesse de la roulette
const byte BP = 2;                           // Attribution du port 2 au bouton-poussoir
byte j,deplace;                              // Variables à usage général
 
void setup() 
{  
  for (byte i = 8 ; i < 14; i++)             // Initialisation des ports 8 à 13 de la platine "Flip & Click" en sortie
  {
  pinMode(i, OUTPUT);                        // Attribution des ports en sortie
  digitalWrite(i, LOW);                      // Eteint les leds de la roulette
  }
  pinMode(BP, INPUT);                        // Le port relié au bouton poussoir est en entrée
  randomSeed(analogRead(0));                 // Réinitialise la séquence aléatoire
}

void loop() 
{
  if (digitalRead(BP) == LOW) {               // Test la sollicitation du bouton-poussoir
    Temporisation = 10;                       // Définit la vitesse initiale (rapide) de déplacement des leds
    deplace = random (40,46);                 // Définit la led qui devra au final rester alumée
    j = 8;                                    // Définit la première led à allumer
    for (byte i = 0 ; i < deplace; i++)
    {
     digitalWrite(j, HIGH);                   // Allume led de la roulette
     delay(Temporisation);                    // Temporisation 
     digitalWrite(j, LOW);                    // Eteint led de la roulette
     j++;                                     // Sélectionne led suivante
     if (j > 13) j = 8;
     Temporisation = Temporisation + 10;      // Augmente la valeur de la temporisation (ralentissement du déplacement des leds)
    }  

    for (byte i = 0 ; i < 5; i++)             // Boucle permettant le clignotement rapide de la led qui a élé sélectionnée
    {
    digitalWrite(j, HIGH);                    // Allume la led de la roulette
    delay(100);
    digitalWrite(j, LOW);                     // Eteint la led de la roulette
    delay(100);
    }
   digitalWrite(j, HIGH);                     // Allume led de la roulette  
  }
}
