/* Interrupteur crépusculaire
   Cette application va vous permettre de détecter la tombé du jour en allumant
   une led (qui s'éteindra dès que le jour reviendra). 
       
   CE PROGRAMME EST FOURNI «TEL QUEL», SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU
   IMPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER LES GARANTIES DE QUALITÉ MARCHANDE,
   D'ADAPTATION À UN USAGE PARTICULIER ET D'ABSENCE DE CONTREFAÇON. EN AUCUN CAS, LA
   RESPONSABILITE DES AUTEURS OU DES DÉTENTEURS DE DROITS D'AUTEUR NE SERONT TENUS 
   RESPONSABLES DE TOUTE RECLAMATION, DOMMAGE OU AUTRE RESPONSABILITÉ, QUE CE SOIT
   DANS UNE ACTION DE CONTRAT, TORT OU AUTREMENT, PROVENANT DE, OU EN RELATION AVEC
   CE PROGRAMME OU L'UTILISATION OU AUTRES TRAITEMENTS DU PROGRAMME.
    
*/

const byte Led = 8;                         // Attribution de la led au port 8
int LDR = A5;                               // N° du port sur lequel est relié la LDR
int Lumiere = 0;                            // Variable dédiée à la mesure du niveau de luminosité 
 
void setup() 
{  
  Serial.begin(9600);                       // Initialise le port de communication série à 9600 bds
  pinMode(Led, OUTPUT);                     // Configure le port en sortie sur lequel est relié la led 
}

void loop() 
{
  Lumiere = analogRead(LDR);                 // Lecture de la tension présente sur la LDR
  Serial.println(Lumiere);                   // Envoi la valeur mesurée sur le terminal série
  delay (10);                                // Temporisation 
  if( Lumiere > 180 )                        // Si la valeur retournée par la LDR est supérieure à 180
    {
    digitalWrite(Led,LOW);                   // alors Eteint la led
    }
    else                                     // Sinon
    {
    digitalWrite(Led,HIGH);                  // Allume la led
    } 
}

