/* Feu tricolore
   Cette application va vous permettre de simuler le fonctionnement d'un feu tricolore.

   CE PROGRAMME EST FOURNI «TEL QUEL», SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU
   IMPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER LES GARANTIES DE QUALITÉ MARCHANDE,
   D'ADAPTATION À UN USAGE PARTICULIER ET D'ABSENCE DE CONTREFAÇON. EN AUCUN CAS, LA
   RESPONSABILITE DES AUTEURS OU DES DÉTENTEURS DE DROITS D'AUTEUR NE SERONT TENUS 
   RESPONSABLES DE TOUTE RECLAMATION, DOMMAGE OU AUTRE RESPONSABILITÉ, QUE CE SOIT
   DANS UNE ACTION DE CONTRAT, TORT OU AUTREMENT, PROVENANT DE, OU EN RELATION AVEC
   CE PROGRAMME OU L'UTILISATION OU AUTRES TRAITEMENTS DU PROGRAMME.
 
*/

const byte Vert = 8;           // N° du port sur lequel est relié la led Verte
const byte Orange = 9;         // N° du port sur lequel est relié la led Orange
const byte Rouge = 10;         // N° du port sur lequel est relié la led Rouge

void setup() 
{
  pinMode(Vert, OUTPUT);       // Configure le port sur lequel est relié la led verte en sortie
  pinMode(Orange, OUTPUT);     // Configure le port sur lequel est relié la led Orange en sortie
  pinMode(Rouge, OUTPUT);      // Configure le port sur lequel est relié la led Rouge en sortie  
}

void loop() 
{
  digitalWrite(Vert, HIGH);    // Allume la led Verte 
  digitalWrite(Orange, LOW);   // Eteint la led Orange
  digitalWrite(Rouge, LOW);    // Eteint la led Rouge 
  delay(3000);                 // Attend 3 secondes
  digitalWrite(Vert, LOW);     // Eteint la led Verte  
  digitalWrite(Orange, HIGH);  // Allume la led Orange 
  delay(1500);                 // Attend 1,5 secondes  
  digitalWrite(Orange, LOW);   // Eteint la led Orange 
  digitalWrite(Rouge, HIGH);   // Allume la led Rouge  
  delay(3000);                 // Attend 3 secondes
}
