/* La fuite d'eau inférnale !
   Cette application va vous permettre de réaliser un montage simulant une 
   fuite d'eau qui se déclare uniquement lorsque la lumière est éteinte 
    
   CE PROGRAMME EST FOURNI «TEL QUEL», SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU
   IMPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER LES GARANTIES DE QUALITÉ MARCHANDE,
   D'ADAPTATION À UN USAGE PARTICULIER ET D'ABSENCE DE CONTREFAÇON. EN AUCUN CAS, LA
   RESPONSABILITE DES AUTEURS OU DES DÉTENTEURS DE DROITS D'AUTEUR NE SERONT TENUS 
   RESPONSABLES DE TOUTE RECLAMATION, DOMMAGE OU AUTRE RESPONSABILITÉ, QUE CE SOIT
   DANS UNE ACTION DE CONTRAT, TORT OU AUTREMENT, PROVENANT DE, OU EN RELATION AVEC
   CE PROGRAMME OU L'UTILISATION OU AUTRES TRAITEMENTS DU PROGRAMME.
    
*/

const byte Buzzer = 5;                       // Attribution du buzzer au port 5
int LDR = A5;                                // Attribution de la LDR au port A5
int Lumiere = 0;                             // Variable dédiée à la mesure du niveau de luminosité 
 
void setup() 
{  
  randomSeed(analogRead(0));                 // Réinitialise la séquence aléatoire
  // Serial.begin(9600); 
}

void loop() 
{
  Lumiere = analogRead(LDR);                 // Lecture de la tension présente sur la LDR
  // Serial.println(Lumiere); 
  if( Lumiere < 300 )                        // Test si on a éteint la lumière
    {
    delay (1000 * random(30,51));            // Attend une durée aléatoire comprise entre 30 et 50 secondes avant de générer le bruit des gouttes
    while( Lumiere < 300 )                   // Tant qu'on a pas allumé la lumière 
       {
       for (byte i=50; i<150; i++)           // Génère le "ploc" de la goutte
         {    
           analogWrite(Buzzer, i);           
           analogWrite(Buzzer, i);           
           analogWrite(Buzzer, i);           
         }
       analogWrite(Buzzer, 0);               // Stop le signal PWM sur le buzzer 
       delay (1000 * random(1,11));          // Attend pendant une durée aléatoire comprise entre 1 et 10 secondes entre chaque goutte
       Lumiere = analogRead(LDR);            // Lecture de la tension présente sur la LDR 
     //  Serial.println(Lumiere);      
       }    
    }
}

