/* Roulette
   Cette application va vous permettre de réaliser un compteur/décompteur sur afficheur
   7 segments à leds.
   
   CE PROGRAMME EST FOURNI «TEL QUEL», SANS GARANTIE D'AUCUNE SORTE, EXPLICITE OU
   IMPLICITE, Y COMPRIS MAIS SANS S'Y LIMITER LES GARANTIES DE QUALITÉ MARCHANDE,
   D'ADAPTATION À UN USAGE PARTICULIER ET D'ABSENCE DE CONTREFAÇON. EN AUCUN CAS, LA
   RESPONSABILITE DES AUTEURS OU DES DÉTENTEURS DE DROITS D'AUTEUR NE SERONT TENUS 
   RESPONSABLES DE TOUTE RECLAMATION, DOMMAGE OU AUTRE RESPONSABILITÉ, QUE CE SOIT
   DANS UNE ACTION DE CONTRAT, TORT OU AUTREMENT, PROVENANT DE, OU EN RELATION AVEC
   CE PROGRAMME OU L'UTILISATION OU AUTRES TRAITEMENTS DU PROGRAMME.
     
*/

const byte BPC = 2;                          // Attribution port 2 au BP de comptage
const byte BPD = 3;                          // Attribution port 3 au BP de décomptage
byte Compteur = 0;                           // Variable pour le compteur
const byte SEG[10][7] =                      // Configuration des 7 leds à allumer sur l'afficheur
{
  {1,1,1,1,1,1,0},                           // Chiffre = 0
  {1,0,1,0,0,0,0},                           // Chiffre = 1
  {1,1,0,1,1,0,1},                           // Chiffre = 2
  {1,1,1,1,0,0,1},                           // Chiffre = 3
  {1,0,1,0,0,1,1},                           // Chiffre = 4
  {0,1,1,1,0,1,1},                           // Chiffre = 5
  {0,1,1,1,1,1,1},                           // Chiffre = 6
  {1,1,1,0,0,1,0},                           // Chiffre = 7
  {1,1,1,1,1,1,1},                           // Chiffre = 8
  {1,1,1,0,0,1,1}                            // Chiffre = 9
};
 
void setup() {  
  for (byte i = 7 ; i < 14; i++)             // Initialisation des ports 7 à 13 de la platine "Flip & Click" en sortie
  {
  pinMode(i, OUTPUT);                        // Attribution des ports en sortie
  digitalWrite(i, LOW);                      // Eteint les leds de l'afficheur 7 segments
  }
  pinMode(BPC, INPUT);                       // Le port relié au BP de comptage est en entrée
  pinMode(BPD, INPUT);                       // Le port relié au BP de décomptage est en entrée
}

void loop() 
{
  if (digitalRead(BPC) == LOW) {              // Test la sollicitation du BP de comptage
    Compteur++;                               // Incrémente le compteur
    delay (10);
    while (digitalRead(BPC) == LOW) {   }     // Attendre tant que l'on a pas relâché le bouton
    delay (10);
  }
  if (digitalRead(BPD) == LOW) {              // Test la sollicitation du BP de décomptage
    Compteur--;                               // Décrémente le compteur
    delay (10);
    while (digitalRead(BPD) == LOW) {   }     // Attendre tant que l'on a pas relâché le bouton
    delay (10);
  }

  if (Compteur == 10) {Compteur = 0;}         // test si dépassement haut du compteur
  if (Compteur == 255) {Compteur = 9;}        // test si dépassement bas du compteur 

  for(byte j = 7; j < 14 ; j++)               // Affichage du compteur sur l'afficheur 7 segments
    {
      digitalWrite(j, SEG[Compteur][j-7]);    // Récupère les leds à afficher par rapport au coup de Dé aléatoire
    }
}
